Bug 725077 - kdesdk (umbrello) FTBFS against qt-4.8.0-beta1
kdesdk (umbrello) FTBFS against qt-4.8.0-beta1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdesdk (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt-4.8
  Show dependency treegraph
 
Reported: 2011-07-22 14:52 EDT by Rex Dieter
Modified: 2013-10-04 08:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: kdesdk-4.7.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-06 00:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 279184 None None None Never
Qt Bug Tracker QTBUG-19697 None None None Never
Qt Bug Tracker QTBUG-19717 None None None Never

  None (edit)
Description Rex Dieter 2011-07-22 14:52:25 EDT
cd /builddir/build/BUILD/kdesdk-4.6.95/x86_64-redhat-linux-gnu/umbrello/umbrello && /usr/bin/c++   -D_BSD_SOURCE -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=21 -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT3_SUPPORT_WARNINGS -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden  -fexceptions -UQT_NO_EXCEPTIONS -O2 -DNDEBUG -DQT_NO_DEBUG -I/builddir/build/BUILD/kdesdk-4.6.95/x86_64-redhat-linux-gnu/umbrello/umbrello -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello -I/builddir/build/BUILD/kdesdk-4.6.95 -I/builddir/build/BUILD/kdesdk-4.6.95/x86_64-redhat-linux-gnu -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/debug -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/dialogs -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/clipboard -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codeimport -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/ada -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/as -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/cpp -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/csharp -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/d -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/idl -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/java -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/js -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/pascal -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/perl -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/php -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/python -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/ruby -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/sql -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/tcl -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/vala -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/xml -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenwizard -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/controller -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/docgenerators -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/refactoring -I/builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/widgets -I/usr/include/kde4 -I/usr/include/kde4/KDE -I/usr/include/KDE -I/usr/include/phonon -I/usr/include/QtXmlPatterns -I/usr/include/QtXml -I/usr/include/QtWebKit -I/usr/include/QtUiTools -I/usr/include/QtTest -I/usr/include/QtSvg -I/usr/include/QtSql -I/usr/include/QtScriptTools -I/usr/include/QtScript -I/usr/include/QtOpenGL -I/usr/include/QtNetwork -I/usr/include/QtMultimedia -I/usr/include/QtHelp -I/usr/include/QtDesigner -I/usr/include/QtDeclarative -I/usr/include/QtDBus -I/usr/include/Qt3Support -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/Qt -I/usr/lib64/qt4/mkspecs/default -I/usr/include/libxml2    -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o CMakeFiles/umbrello.dir/codegenerators/codemethodblock.o -c /builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/codemethodblock.cpp
In file included from /builddir/build/BUILD/kdesdk-4.6.95/umbrello/umbrello/codegenerators/codeclassfielddeclarationblock.cpp:168:0:
/builddir/build/BUILD/kdesdk-4.6.95/x86_64-redhat-linux-gnu/umbrello/umbrello/codeclassfielddeclarationblock.moc: In static member function 'static void CodeClassFieldDeclarationBlock::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)':
/builddir/build/BUILD/kdesdk-4.6.95/x86_64-redhat-linux-gnu/umbrello/umbrello/codeclassfielddeclarationblock.moc:48:94: error: cannot convert from base 'QObject' to derived type 'CodeClassFieldDeclarationBlock' via virtual base 'QObject'
make[2]: *** [umbrello/umbrello/CMakeFiles/umbrello.dir/codegenerators/codeclassfielddeclarationblock.o] Error 1
Comment 1 Kevin Kofler 2011-07-22 15:58:03 EDT
This is in code generated by Qt's moc at build time, I strongly suspect this to be Qt's fault.
Comment 2 Rex Dieter 2011-07-31 12:29:34 EDT
Omitting umbrello from kdesdk builds until this is resolved.
Comment 3 Fedora Update System 2011-08-01 13:08:34 EDT
kdesdk-4.7.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kdesdk-4.7.0-1.fc16
Comment 4 Fedora Update System 2011-08-02 16:50:54 EDT
Package kdesdk-4.7.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdesdk-4.7.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kdesdk-4.7.0-1.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-08-06 00:25:55 EDT
kdesdk-4.7.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Red Hat Bugzilla 2013-10-03 20:20:22 EDT
Removing external tracker bug with the id '19697' as it is not valid for this tracker
Comment 7 Red Hat Bugzilla 2013-10-03 20:20:28 EDT
Removing external tracker bug with the id '19717' as it is not valid for this tracker

Note You need to log in before you can comment on or make changes to this bug.